/* This file was contributed by Regnor Jernsletten, Jan 2002 */

/*
 * Northern Smi symbols.
 *
 * { "iso-ir-197", iso_ir_197_syms, nn },
 */

static sym
const iso_ir_197_syms[] = {
	{ 0x00a0, "nobreakspace" },
	{ 0x010c, "Ccaron" },
	{ 0x010d, "ccaron" },
	{ 0x0110, "Dstroke" },
	{ 0x0111, "dstroke" },
	{ 0x01e4, "Gstroke" },
	{ 0x01e5, "gstroke" },
	{ 0x00a7, "section" },
	{ 0x01e6, "Gcaron" },
	{ 0x00a9, "copyright" },
	{ 0x01e7, "gcaron" },
	{ 0x00ab, "guillemotleft" },
	{ 0x01e8, "Kcaron" },
	{ 0x00ad, "hyphen" },
	{ 0x01e9, "kcaron" },
	{ 0x014a, "ENG" },
	{ 0x00b0, "degree" },
	{ 0x014b, "eng" },
	{ 0x0160, "Scaron" },
	{ 0x0161, "scaron" },
	{ 0x00b4, "acute" },
	{ 0x0166, "Tstroke" },
	{ 0x00b6, "paragraph" },
	{ 0x00b7, "periodcentered" },
	{ 0x0167, "tstroke" },
	{ 0x017d, "Zcaron" },
	{ 0x017e, "zcaron" },
	{ 0x00bb, "guillemotright" },
	{ 0x01b7, "EZH" },
	{ 0x0292, "ezh" },
	{ 0x01ee, "EZHcaron" },
	{ 0x01ef, "ezhcaron" },
	{ 0x00c0, "Agrave" },
	{ 0x00c1, "Aacute" },
	{ 0x00c2, "Acircumflex" },
	{ 0x00c3, "Atilde" },
	{ 0x00c4, "Adiaeresis" },
	{ 0x00c5, "Aring" },
	{ 0x00c6, "AE" },
	{ 0x00c7, "Ccedilla" },
	{ 0x00c8, "Egrave" },
	{ 0x00c9, "Eacute" },
	{ 0x00ca, "Ecircumflex" },
	{ 0x00cb, "Ediaeresis" },
	{ 0x00cc, "Igrave" },
	{ 0x00cd, "Iacute" },
	{ 0x00ce, "Icircumflex" },
	{ 0x00cf, "Idiaeresis" },
	{ 0x00d0, "ETH" },
	{ 0x00d1, "Ntilde" },
	{ 0x00d2, "Ograve" },
	{ 0x00d3, "Oacute" },
	{ 0x00d4, "Ocircumflex" },
	{ 0x00d5, "Otilde" },
	{ 0x00d6, "Odiaeresis" },
	{ 0x00d7, "multiplication" },
	{ 0x00d8, "Ostroke" },
	{ 0x00d9, "Ugrave" },
	{ 0x00da, "Uacute" },
	{ 0x00db, "Ucircumflex" },
	{ 0x00dc, "Udiaeresis" },
	{ 0x00dd, "Yacute" },
	{ 0x00de, "THORN" },
	{ 0x00df, "ssharp" },
	{ 0x00e0, "agrave" },
	{ 0x00e1, "aacute" },
	{ 0x00e2, "acircumflex" },
	{ 0x00e3, "atilde" },
	{ 0x00e4, "adiaeresis" },
	{ 0x00e5, "aring" },
	{ 0x00e6, "ae" },
	{ 0x00e7, "ccedilla" },
	{ 0x00e8, "egrave" },
	{ 0x00e9, "eacute" },
	{ 0x00ea, "ecircumflex" },
	{ 0x00eb, "ediaeresis" },
	{ 0x00ec, "igrave" },
	{ 0x00ed, "iacute" },
	{ 0x00ee, "icircumflex" },
	{ 0x00ef, "idiaeresis" },
	{ 0x00f0, "eth" },
	{ 0x00f1, "ntilde" },
	{ 0x00f2, "ograve" },
	{ 0x00f3, "oacute" },
	{ 0x00f4, "ocircumflex" },
	{ 0x00f5, "otilde" },
	{ 0x00f6, "odiaeresis" },
	{ 0x00f7, "division" },
	{ 0x00f8, "ostroke" },
	{ 0x00f9, "ugrave" },
	{ 0x00fa, "uacute" },
	{ 0x00fb, "ucircumflex" },
	{ 0x00fc, "udiaeresis" },
	{ 0x00fd, "yacute" },
	{ 0x00fe, "thorn" },
	{ 0x00ff, "ydiaeresis" },
};

/*
 * ISO-IR-209 covers the Romani language as written in Finland.
 * Identical to previous one with two exceptions:
 *
 * ISO-IR-197
 * 0xAB    0x00AB  # LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
 * 0xBB    0x00BB  # RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
 * ISO-IR-209
 * 0xAB    0x021E  # LATIN CAPITAL LETTER H WITH CARON
 * 0xBB    0x021F  # LATIN SMALL LETTER H WITH CARON
 */

static sym
const iso_ir_209_syms[] = {
	{ 0x00a0, "nobreakspace" },
	{ 0x010c, "Ccaron" },
	{ 0x010d, "ccaron" },
	{ 0x0110, "Dstroke" },
	{ 0x0111, "dstroke" },
	{ 0x01e4, "Gstroke" },
	{ 0x01e5, "gstroke" },
	{ 0x00a7, "section" },
	{ 0x01e6, "Gcaron" },
	{ 0x00a9, "copyright" },
	{ 0x01e7, "gcaron" },
	{ 0x021e, "Hcaron" },
	{ 0x01e8, "Kcaron" },
	{ 0x00ad, "hyphen" },
	{ 0x01e9, "kcaron" },
	{ 0x014a, "ENG" },
	{ 0x00b0, "degree" },
	{ 0x014b, "eng" },
	{ 0x0160, "Scaron" },
	{ 0x0161, "scaron" },
	{ 0x00b4, "acute" },
	{ 0x0166, "Tstroke" },
	{ 0x00b6, "paragraph" },
	{ 0x00b7, "periodcentered" },
	{ 0x0167, "tstroke" },
	{ 0x017d, "Zcaron" },
	{ 0x017e, "zcaron" },
	{ 0x021f, "hcaron" },
	{ 0x01b7, "EZH" },
	{ 0x0292, "ezh" },
	{ 0x01ee, "EZHcaron" },
	{ 0x01ef, "ezhcaron" },
	{ 0x00c0, "Agrave" },
	{ 0x00c1, "Aacute" },
	{ 0x00c2, "Acircumflex" },
	{ 0x00c3, "Atilde" },
	{ 0x00c4, "Adiaeresis" },
	{ 0x00c5, "Aring" },
	{ 0x00c6, "AE" },
	{ 0x00c7, "Ccedilla" },
	{ 0x00c8, "Egrave" },
	{ 0x00c9, "Eacute" },
	{ 0x00ca, "Ecircumflex" },
	{ 0x00cb, "Ediaeresis" },
	{ 0x00cc, "Igrave" },
	{ 0x00cd, "Iacute" },
	{ 0x00ce, "Icircumflex" },
	{ 0x00cf, "Idiaeresis" },
	{ 0x00d0, "ETH" },
	{ 0x00d1, "Ntilde" },
	{ 0x00d2, "Ograve" },
	{ 0x00d3, "Oacute" },
	{ 0x00d4, "Ocircumflex" },
	{ 0x00d5, "Otilde" },
	{ 0x00d6, "Odiaeresis" },
	{ 0x00d7, "multiplication" },
	{ 0x00d8, "Ostroke" },
	{ 0x00d9, "Ugrave" },
	{ 0x00da, "Uacute" },
	{ 0x00db, "Ucircumflex" },
	{ 0x00dc, "Udiaeresis" },
	{ 0x00dd, "Yacute" },
	{ 0x00de, "THORN" },
	{ 0x00df, "ssharp" },
	{ 0x00e0, "agrave" },
	{ 0x00e1, "aacute" },
	{ 0x00e2, "acircumflex" },
	{ 0x00e3, "atilde" },
	{ 0x00e4, "adiaeresis" },
	{ 0x00e5, "aring" },
	{ 0x00e6, "ae" },
	{ 0x00e7, "ccedilla" },
	{ 0x00e8, "egrave" },
	{ 0x00e9, "eacute" },
	{ 0x00ea, "ecircumflex" },
	{ 0x00eb, "ediaeresis" },
	{ 0x00ec, "igrave" },
	{ 0x00ed, "iacute" },
	{ 0x00ee, "icircumflex" },
	{ 0x00ef, "idiaeresis" },
	{ 0x00f0, "eth" },
	{ 0x00f1, "ntilde" },
	{ 0x00f2, "ograve" },
	{ 0x00f3, "oacute" },
	{ 0x00f4, "ocircumflex" },
	{ 0x00f5, "otilde" },
	{ 0x00f6, "odiaeresis" },
	{ 0x00f7, "division" },
	{ 0x00f8, "ostroke" },
	{ 0x00f9, "ugrave" },
	{ 0x00fa, "uacute" },
	{ 0x00fb, "ucircumflex" },
	{ 0x00fc, "udiaeresis" },
	{ 0x00fd, "yacute" },
	{ 0x00fe, "thorn" },
	{ 0x00ff, "ydiaeresis" },
};

static sym
const latin6_syms[] = {
	{ 0x00a0, "nobreakspace" },
	{ 0x0104, "Aogonek" },
	{ 0x0112, "Emacron" },
	{ 0x0122, "Gcedilla" },
	{ 0x012a, "Imacron" },
	{ 0x0128, "Itilde" },
	{ 0x0136, "Kcedilla" },
	{ 0x00a7, "section" },
	{ 0x013b, "Lcedilla" },
	{ 0x0110, "Dstroke" },
	{ 0x0160, "Scaron" },
	{ 0x0166, "Tstroke" },
	{ 0x017d, "Zcaron" },
	{ 0x00ad, "hyphen" },
	{ 0x016a, "Umacron" },
	{ 0x014a, "ENG" },
	{ 0x00b0, "degree" },
	{ 0x0105, "aogonek" },
	{ 0x0113, "emacron" },
	{ 0x0123, "gcedilla" },
	{ 0x012b, "imacron" },
	{ 0x0129, "itilde" },
	{ 0x0137, "kcedilla" },
	{ 0x00b7, "periodcentered" },
	{ 0x013c, "lcedilla" },
	{ 0x0111, "dstroke" },
	{ 0x0161, "scaron" },
	{ 0x0167, "tstroke" },
	{ 0x017e, "zcaron" },
	{ 0x2014, "emdash" },
	{ 0x016b, "umacron" },
	{ 0x014b, "eng" },
	{ 0x0100, "Amacron" },
	{ 0x00c1, "Aacute" },
	{ 0x00c2, "Acircumflex" },
	{ 0x00c3, "Atilde" },
	{ 0x00c4, "Adiaeresis" },
	{ 0x00c5, "Aring" },
	{ 0x00c6, "AE" },
	{ 0x012e, "Iogonek" },
	{ 0x010c, "Ccaron" },
	{ 0x00c9, "Eacute" },
	{ 0x0118, "Eogonek" },
	{ 0x00cb, "Ediaeresis" },
	{ 0x0116, "Eabovedot" },
	{ 0x00cd, "Iacute" },
	{ 0x00ce, "Icircumflex" },
	{ 0x00cf, "Idiaeresis" },
	{ 0x00d0, "ETH" },
	{ 0x0145, "Ncedilla" },
	{ 0x014c, "Omacron" },
	{ 0x00d3, "Oacute" },
	{ 0x00d4, "Ocircumflex" },
	{ 0x00d5, "Otilde" },
	{ 0x00d6, "Odiaeresis" },
	{ 0x0168, "Utilde" },
	{ 0x00d8, "Ostroke" },
	{ 0x0172, "Uogonek" },
	{ 0x00da, "Uacute" },
	{ 0x00db, "Ucircumflex" },
	{ 0x00dc, "Udiaeresis" },
	{ 0x00dd, "Yacute" },
	{ 0x00de, "THORN" },
	{ 0x00df, "ssharp" },
	{ 0x0101, "amacron" },
	{ 0x00e1, "aacute" },
	{ 0x00e2, "acircumflex" },
	{ 0x00e3, "atilde" },
	{ 0x00e4, "adiaeresis" },
	{ 0x00e5, "aring" },
	{ 0x00e6, "ae" },
	{ 0x012f, "iogonek" },
	{ 0x010d, "ccaron" },
	{ 0x00e9, "eacute" },
	{ 0x0119, "eogonek" },
	{ 0x00eb, "ediaeresis" },
	{ 0x0117, "eabovedot" },
	{ 0x00ed, "iacute" },
	{ 0x00ee, "icircumflex" },
	{ 0x00ef, "idiaeresis" },
	{ 0x00f0, "eth" },
	{ 0x0146, "ncedilla" },
	{ 0x014d, "omacron" },
	{ 0x00f3, "oacute" },
	{ 0x00f4, "ocircumflex" },
	{ 0x00f5, "otilde" },
	{ 0x00f6, "odiaeresis" },
	{ 0x0169, "utilde" },
	{ 0x00f8, "ostroke" },
	{ 0x0173, "uogonek" },
	{ 0x00fa, "uacute" },
	{ 0x00fb, "ucircumflex" },
	{ 0x00fc, "udiaeresis" },
	{ 0x00fd, "yacute" },
	{ 0x00fe, "thorn" },
	{ 0x0138, "kra" },
};
